Page MenuHomePhabricator

Newcomer homepage: mentor module ask a question dialog does not integrate copyright disclosures and agreement
Closed, ResolvedPublicBUG REPORT

Description

List of steps to reproduce (step by step, including full links if applicable):

What happens?:
*A new page revision is published to the mentor's talk page

What should have happened instead?:
*Prior to being able to publish new revisions, editors should be presented the (wikimedia-copyrightwarning) dialog and agree to it.

Software version (if not a Wikimedia wiki), browser information, screenshots, other information, etc:

image.png (388×502 px, 12 KB)

While the dialog says that the new revision that will be created is "posted publicly" - it does not warn the editor, or indicate that they are agreeing to, publishing that version under the project's licensing agreement.

Suggest that (wikimedia-copyrightwarning) be added to the end of that box, under the question section; however note that that warning text is specific about "publishing changes" so an additional note that the "POST" button is an alias for "PUBLISH" may also be needed.

Proposed solution
  1. Add the standard disclaimer after the box
  2. Update the call to action button to be "Publish" instead of "Post"
  3. Update the growthexperiments-homepage-mentorship-questionreview-header and Growthexperiments-help-panel-questioncomplete-header strings so that "posted" is amended to "published" in the ask a question and confirmed steps respectively.
  4. Add the same disclaimer and make a similar button copy change to the equivalent "ask a question" UI in the help panel.
Mentor module
image.png (926×1 px, 169 KB)
Help panel - ask question step
image.png (1×1 px, 380 KB)
Help panel - confirmed step
image.png (508×1 px, 209 KB)

Figma spec:

Event Timeline

Etonkovidova added a subscriber: Etonkovidova.

Checked on testwiki wmf.13 - adding a topic on a mentor User page (via VE/source editor) will present a copyright message to a user. Posting a message via the Mentor Help panel should include the message too (to be consistent). Moved to Upcoming work.

Tgr triaged this task as High priority.Dec 15 2021, 9:47 PM
kostajh added subscribers: MMiller_WMF, RHo, kostajh.

cc @RHo @MMiller_WMF let us know if you have any preferences for how this shows up, otherwise we'll make a best guess and can adjust it later.

RHo renamed this task from The mentee dashboard ask a question dialog does not integrate copyright disclosures and agreement to Newcomer homepage: mentor module ask a question dialog does not integrate copyright disclosures and agreement.Dec 16 2021, 7:12 PM

It solves my report - but not sure if it is the best UX wise in letting the user know what to do; perhaps (growthexperiments-homepage-mentorship-questionreview-header) default should be amended

From:
*When you ask a question, it gets <strong>posted publicly</strong> under {{GENDER:$2|your}} username, "$2", to $3, which is where {{GENDER:$1|he|she|they}} can find and respond to your question.

To:
*When you ask a question, it gets <strong>published publicly</strong> under {{GENDER:$2|your}} username, "$2", to $3, which is where {{GENDER:$1|he|she|they}} can find and respond to your question.

That direction may make the "publish" button seem more natural as to why the user should press a button called "publish" to ask a question.

It solves my report - but not sure if it is the best UX wise in letting the user know what to do; perhaps (growthexperiments-homepage-mentorship-questionreview-header) default should be amended

From:
*When you ask a question, it gets <strong>posted publicly</strong> under {{GENDER:$2|your}} username, "$2", to $3, which is where {{GENDER:$1|he|she|they}} can find and respond to your question.

To:
*When you ask a question, it gets <strong>published publicly</strong> under {{GENDER:$2|your}} username, "$2", to $3, which is where {{GENDER:$1|he|she|they}} can find and respond to your question.

That direction may make the "publish" button seem more natural as to why the user should press a button called "publish" to ask a question.

Thanks @Xaosflux - that makes sense to me. I will add that copy change as another item in the task.

Tgr added a subscriber: Tgr.

I'll be bold and move this to the spring - copyright compliance problems are a big deal.

Hi @RHo, I wanted to confirm the expected copy for the warning text. wikimedia-copyrightwarning has the following copy:

By saving changes, you agree to the [https://foundation.wikimedia.org/wiki/Terms_of_Use Terms of Use], and you irrevocably agree to release your contribution under the [https://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 License] and the [https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].\nYou agree that a hyperlink or URL is sufficient attribution under the Creative Commons license.

Should this one be used or the one in the Figma specs?

Hi @RHo, I wanted to confirm the expected copy for the warning text. wikimedia-copyrightwarning has the following copy:

By saving changes, you agree to the [https://foundation.wikimedia.org/wiki/Terms_of_Use Terms of Use], and you irrevocably agree to release your contribution under the [https://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 License] and the [https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].\nYou agree that a hyperlink or URL is sufficient attribution under the Creative Commons license.

Should this one be used or the one in the Figma specs?

Hi @mewoph - I thought I copied the standard message into the Figma from the Review summary screen in VE. However, funnily enough looks today in enwiki like neither your message (which starts with By saving changes instead of By publishing) nor the Figma one (Figma is missing irrevocably):

image.png (1×2 px, 1 MB)

The message on this Review page looks like it is in a field called "editpage-copywarn" – does that exist as distinct from wikimedia-copyrightwarning? If so, can we use that and I will update figma accordingly.

That field uses wikimedia-copyrightwarning. Here's the dialog with the corresponding keys:

Screen Shot 2022-02-08 at 11.11.53 AM.png (666×1 px, 91 KB)

The copy is different in enwiki and en betalabs.

That field uses wikimedia-copyrightwarning. Here's the dialog with the corresponding keys:

Screen Shot 2022-02-08 at 11.11.53 AM.png (666×1 px, 91 KB)

The copy is different in enwiki and en betalabs.

Ahhhhh gotcha, thanks for clarifying and yes, sounds good about using wikimedia-copyrightwarning, I will update Figma shortly.

mewoph changed the task status from Open to In Progress.Feb 8 2022, 11:54 PM

Updated ask question & confirmation screens:

Ask question screenConfirmation screen
Help desk (desktop)
Screen Shot 2022-02-10 at 10.35.33 AM.png (1×760 px, 151 KB)
Screen Shot 2022-02-09 at 4.01.15 PM.png (1×750 px, 118 KB)
Help desk (mobile)
Screen Shot 2022-02-09 at 4.02.41 PM.png (1×754 px, 166 KB)
Screen Shot 2022-02-09 at 4.03.09 PM.png (1×756 px, 140 KB)
Help panel mentor (desktop)
Screen Shot 2022-02-10 at 10.32.45 AM.png (1×762 px, 149 KB)
Screen Shot 2022-02-10 at 10.33.17 AM.png (1×748 px, 123 KB)
Help panel mentor (mobile)
Screen Shot 2022-02-10 at 10.31.22 AM.png (1×754 px, 158 KB)
Screen Shot 2022-02-10 at 10.31.34 AM.png (1×750 px, 141 KB)
Mentorship (desktop)
Screen Shot 2022-02-10 at 10.33.56 AM.png (856×1 px, 134 KB)
Screen Shot 2022-02-10 at 10.34.13 AM.png (856×1 px, 121 KB)
Mentorship (mobile)
Screen Shot 2022-02-10 at 10.30.23 AM.png (1×752 px, 141 KB)
Screen Shot 2022-02-10 at 10.29.46 AM.png (1×756 px, 142 KB)

Change 761731 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Create AskHelpPanel class

https://gerrit.wikimedia.org/r/761731

Change 761736 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Add copyright warning to Ask Help panel

https://gerrit.wikimedia.org/r/761736

Change 761736 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Add copyright warning to Ask Help panel

https://gerrit.wikimedia.org/r/761736

Change 761731 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Create AskHelpPanel class

https://gerrit.wikimedia.org/r/761731

@mewoph - there is markup displayed in the copyright message - wikimedia-copyrightwarning. The page https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Wikimedia-copyrightwarning has a html comment added to the text. Is it only for betalabs env? The message on translate wiki - MediaWiki:wikimedia-copyrightwarning - looks fine to me.

Screen Shot 2022-02-15 at 2.16.39 PM.png (892×1 px, 167 KB)

 mediawiki.jqueryMsg: wikimedia-copyrightwarning: Parse error at position 0 in input: <!-- Please do not change this text without talking to the Wikimedia Foundation's General Counsel!!!  Wikimedia Foundation, Inc. -->
<p>By saving changes, you agree to the [[wmf:Terms_of_Use|Terms of Use]], and you irrevocably agree to release your contribution under the [[Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License|CC BY-SA 3.0 License]] and the [[Wikipedia:Text_of_the_GNU_Free_Documentation_License|GFDL]]. You agree that a hyperlink or URL is sufficient attribution under the Creative Commons license.</p>

The JS message parser is a crippled version of the PHP parser, so for more complex messages you might have to do the parsing on the PHP side and then export as a JS variable or a ResourceLoader callback.

Change 762967 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Mentorship: Parse wikimedia-copyright warning on the server side

https://gerrit.wikimedia.org/r/762967

Change 762967 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Ask Help: Parse wikimedia-copyrightwarning on the server side

https://gerrit.wikimedia.org/r/762967

Checked in beta - looks good; moving to Test in Production.